---
title: "Our GitHub"
description: "Information on how to collaborate with Cloud Posse"
sidebar_position: 800
---

## Our Commitment

We commit to always provide free and public access to our Open Source repositories. If you see repository on our GitHub today, then it will be here tomorrow and thereafter in perpetuity.

From time to time, we might decide we can no longer maintain a repository. If that happens, we will mark it as "archived" on GitHub. This will ensure you will continue to have access to the code.

## Getting Involved

The best way to get involved is to checkout our "[getting started](intro.md)" guide.

Then join us in our Slack [`#community`](https://cloudposse.com/slack/) channel to get support or talk with others in the community.

## Contributing

Cloud Posse accepts contributions from the community. In the interest of fostering an open and welcoming environment, we have a strict [code of conduct](/community/code-of-conduct.md) to ensure participation in our projects and our community is a harassment-free experience for everyone.

If you want to make some big changes or don't know where to begin, it's best to first get in touch. You can discuss the change you wish to make via GitHub issues, [email](mailto:hello@cloudposse.com), or join our [`#community`](https://cloudposse.com/slack/) channel.

In general, PRs are welcome. We follow the typical "fork-and-pull" Git workflow.

1. Fork the repo on GitHub
2. Clone the project to your own machine
3. Commit changes to your own branch
4. Push your work back up to your fork
5. Submit a Pull request so that we can review your changes

**NOTE:** Be sure to merge the latest from "upstream" before making a pull request!

## Maintenance

Cloud Posse actively maintains all projects on [our GitHub](https://github.com/cloudposse/).

## GitHub Projects

There's a lot going on in our GitHub. With over [200+ Open Source repositories](https://github.com/cloudposse/), keeping track of all the [Open Issues](https://github.com/search?q=org%3Acloudposse+type%3Aissues+is%3Aopen), Feature Requests, and Pull Requests is a fulltime job.

We use Kanban board to manage our [Open Source projects](https://github.com/orgs/cloudposse/projects/3).

(**Help wanted!**)

## Something Missing?

[Get in touch](/contact-us.md) with us.
